curl --request GET \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"next_cursor": "string",
"purchase_orders": [
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"payment_terms": "string",
"po_number": "ORD-10042",
"shipping_cost": "8.00",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_reference": "string",
"tax_amount": "4.12",
"total": "102.12"
}
],
"total": 102
}
List purchase orders
List purchase orders
GET
/
api
/
v1
/
purchase-orders
curl --request GET \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"next_cursor": "string",
"purchase_orders": [
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"payment_terms": "string",
"po_number": "ORD-10042",
"shipping_cost": "8.00",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_reference": "string",
"tax_amount": "4.12",
"total": "102.12"
}
],
"total": 102
}
Query parameters
string
string
integer (int32)
integer (int32)
string
Cursor for keyset pagination (opaque token from
next_cursor).Response
PurchaseOrderListResponse
boolean
required
Whether more results are available after this page.
string,null
Opaque cursor for fetching the next page (keyset pagination).
PurchaseOrderResponse[]
required
Show PurchaseOrderResponse
Show PurchaseOrderResponse
string,null
string
required
string
required
string
required
string
required
PurchaseOrderItemResponse[]
required
string
required
string
required
string
required
string
required
string
required
string
required
string,null
string
required
string
required
integer (int64)
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/purchase-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"next_cursor": "string",
"purchase_orders": [
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"payment_terms": "string",
"po_number": "ORD-10042",
"shipping_cost": "8.00",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_reference": "string",
"tax_amount": "4.12",
"total": "102.12"
}
],
"total": 102
}
Last modified on August 31, 2026